Subject: bug#11348: 24.0.95; TAB-completion in shell-command produces d:\/foo on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 May 2012 10:10:13 +0300

Ping!

I think this is a serious bug that should be fixed before Emacs 24.1
is released.

If Someone™ tells me where in the completion code to look for the
possible cause(s), I could try debugging this myself.

>  emacs -Q
>  M-! cd d:\gnu TAB
> 
> (A directory 'd:/gnu' exists on my disk.)
> 
> After pressing the TAB key, the minibuffer displays this:
> 
>   cd d:\/gnu/
> 
> whereas the expected result is
> 
>   cd d:/gnu/
> 
> This is a regression from Emacs 23.4, where I do get "d:/gnu/".
> 
> 
> In GNU Emacs 24.0.95.1 (i386-mingw-nt5.1.2600)
>  of 2012-04-26 on HOME-C4E4A596F7
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> Configured using:
>  `configure --with-gcc (3.4)'